from wx import get_user_message, listen_msg
from jd_uia import JdClient
import multiprocessing, threading

# device_list = ['127.0.0.1:16416',
#                '127.0.0.1:16448']

# NUC14
device_list = [
        '127.0.0.1:16416', # 1 19920002680
        '127.0.0.1:16448', # 2
        '127.0.0.1:16480', # 3
        '127.0.0.1:16512', # 4
        '127.0.0.1:16608', # 7
        ]

# HomeServer
# device_list = [
#         '127.0.0.1:16384',
#         '127.0.0.1:16416',
#         '127.0.0.1:16448',
#         '127.0.0.1:16480',
#         '127.0.0.1:16512',
#         ]

# listen_list = ['Honey', '分身199']
listen_list = ['Honey']


jd_client_list = []
    
for dev in device_list:
    jd_client = JdClient(dev)
    jd_client_list.append(jd_client)
    t = threading.Thread(target=jd_client.prepare_steps, args=())
    t.start()

msg = listen_msg(listen_list, '玩具乐器五折券')
print(f'收到消息：{msg}')

for jd_client in jd_client_list:
    t = threading.Thread(target=jd_client.full_steps, args=(msg,))
    t.start()